## org.eclipse.emf.edit.ui.provider
Class ExtendedFontRegistry

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.ExtendedFontRegistry

    public class ExtendedFontRegistry

extends java.lang.Object

A font registry for turning a font description into an actual font object.

See Also:
  `IItemFontProvider`

Field Summary
`protected Display` `display`
`static ExtendedFontRegistry` `INSTANCE`
`protected java.util.HashMap<java.util.Collection<?>,Font>` `table`

Constructor Summary
`ExtendedFontRegistry()`
`ExtendedFontRegistry(Display display)`

Method Summary
`Font` `getFont(Font baseFont, java.lang.Object object)`
`protected void` `handleDisplayDispose()`
`protected void` `hookDisplayDispose(Display display)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ExtendedFontRegistry INSTANCE

### display

    protected Display display

### table

    protected java.util.HashMap<java.util.Collection<?>,Font> table

Constructor Detail

### ExtendedFontRegistry

    public ExtendedFontRegistry()

### ExtendedFontRegistry

    public ExtendedFontRegistry(Display display)

Method Detail

### getFont

    public Font getFont(Font baseFont,
                        java.lang.Object object)

### handleDisplayDispose

    protected void handleDisplayDispose()

### hookDisplayDispose

    protected void hookDisplayDispose(Display display)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.